### Method

# Ide Device get_display_name

#### Declaration

    const gchar*
    ide_device_get_display_name (
      IdeDevice* self
    )

#### Description

This function returns the name of the device. If no name has been set, then `NULL` is returned.

In some cases, this value wont be available until additional information has been probed from the device.

Available since: | 3.32

Gets property | `Ide.Device:display-name`

#### Return value

Returns: | `const gchar*`
| A string containing the display name for the device.
| The data is owned by the instance.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.